API references
Search documentation... ⌘K
API references
Merchant API

Retrieve a Monthly Billing Archive

Retrieve a Monthly Billing Archive by its ID (I.e., month and year in 'YYYY-MM' format).

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/retrieve-monthly-billing-archive HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
monthly_billing_archive_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
monthly_billing_archive_id string

Required. The Monthly Billing Archive ID (I.e. month and year in 'YYYY-MM' format) to retrieve.

Response attributes
Attribute Description
id
string

The identifying month and year of the billing archive in 'YYYY-MM' format.

url
string

The download URL where the archive can be downloaded.

Errors specific to this endpoint
NOT_FOUND

No archive found with the provided monthlybillingarchive_id. This could indicate that there was no activity for that month, or that the archive has not yet been created.

INVALID

The provided monthlybillingarchive_id could not be parsed as a valid month (expected format: 'YYYY-MM').

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.